List an invoice's relations
curl --request GET \
--url https://api.syntage.com/invoices/{invoiceId}/relations \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/invoices/{invoiceId}/relations"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/invoices/{invoiceId}/relations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/InvoiceRelation",
"@id": "/invoices/relations",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/invoices/relations/93a197e7-6baa-5dc5-bf8d-fb1645a770c1",
"@type": "InvoiceRelation",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": 7,
"invoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Relations
List an invoice's relations
List invoice relations for the requested invoice.
GET
/
invoices
/
{invoiceId}
/
relations
List an invoice's relations
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Invoice ID
Example:
"91106968-1abd-4d64-85c1-4e73d96fb997"
Query Parameters
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
Required range:
1 <= x <= 1000Response
Invoice relations collection response
Was this page helpful?
⌘I